Create Purchase Order: Yardi
https://api.propexo.com/v1/purchase-orders/yardi/| Interface | Method |
|---|---|
| Vendor Invoicing | ImportPurchaseOrder |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- Array [anyOf
- object
- object
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
Description of the purchase order
The number of the purchase order
Possible values: <= 8 characters
The amount of the purchase order, in cents
The order date for the purchase order
Show 2 variants
The expense type of the purchase order. You'll have to request this data from your customer
The display type of the purchase order. You'll have to request this data from your customer
The first address line associated with the shipping address for the purchase order
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
purchase_order_items object[]required
A list of the items associated with the purchase orders
Possible values: >= 1
A purchase order item that is associated with a construction job
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the construction job
The Propexo unique identifier for the financial account
The stock code for the purchase order item. You'll have to request this data from your customer
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
The total cost, in cents, of the purchase order item
The cost code of the purchase order item. You'll have to request this data from your customer
The category code for the purchase order item. You'll have to request this data from your customer
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- Array [anyOf
- object
- object
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
Description of the purchase order
The number of the purchase order
Possible values: <= 8 characters
The amount of the purchase order, in cents
Show 2 variants
The expense type of the purchase order. You'll have to request this data from your customer
The display type of the purchase order. You'll have to request this data from your customer
The first address line associated with the shipping address for the purchase order
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
purchase_order_items object[]required
A purchase order item that is associated with a construction job
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the construction job
The Propexo unique identifier for the financial account
The stock code for the purchase order item. You'll have to request this data from your customer
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
The total cost, in cents, of the purchase order item
The cost code of the purchase order item. You'll have to request this data from your customer
The category code for the purchase order item. You'll have to request this data from your customer
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/purchase-orders/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "AA",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "AA",
"billing_zip": "string",
"billing_country": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
},
{
"property_id": "string",
"description": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "AA",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "AA",
"billing_zip": "string",
"billing_country": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
},
{
"property_id": "string",
"description": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}
}